<?php
# Helpdesk software Hesk
# Version: 0.93b from July 5, 2005
# File name: admin_reply_ticket.php
# File last modified: July 5, 2005
# Written 23rd April 2005 by Klemen Stirn (info@phpjunkyard.com)
# http://www.PHPJunkYard.com

##############################################################################
# COPYRIGHT NOTICE                                                           #
# Copyright 2005 PHPJunkYard All Rights Reserved.                            #
#                                                                            #
# The Hesk may be used and modified free of charge by anyone AS LONG AS      #
# THIS COPYRIGHT NOTICE AND ALL THE COMMENTS REMAIN INTACT. By using this    #
# code you agree to indemnify Klemen Stirn from any liability that might     #
# arise from it's use.                                                       #
#                                                                            #
# Selling the code for this program or any portion of it without prior       #
# written consent is expressly forbidden.                                    #
#                                                                            #
# Obtain permission before redistributing this software over the Internet or #
# in any other medium. In all cases copyright and header must remain intact. #
# This Copyright is in full effect in any country that has International     #
# Trade Agreements with the United States of America or with                 #
# the European Union.                                                        #
##############################################################################

#############################
#     DO NOT EDIT BELOW     #
#############################

define('IN_SCRIPT',1);

/* Get all the required files and functions */
require_once('hesk_settings.inc.php');
require_once('language/'.$hesk_settings['language'].'.inc.php');
require_once('inc/common.inc.php');
hesk_session_start();
hesk_isLoggedIn();

/* Print header */
require_once('inc/header.inc.php');

$message=hesk_input($_POST['message'],$hesklang['enter_message']);
/* Attach signature to the message? */
if (!empty($_POST['signature']))
{
	$message .= "<br><br>$_SESSION[signature]<br>&nbsp;";
}
$message=hesk_makeURL($message);
$message=nl2br($message);
$orig_name=hesk_input($_POST['orig_name'],"$hesklang[int_error]: No orig_name");
$orig_email=hesk_validateEmail($_POST['orig_email'],"$hesklang[int_error]: No valid orig_email");
$orig_subject=hesk_input($_POST['orig_subject'],"$hesklang[int_error]: No orig_subject");
$replyto=hesk_isNumber($_POST['orig_id'],"$hesklang[int_error]: No or invalid orig_id");
$trackingID=hesk_input($_POST['orig_track'],"$hesklang[int_error]: No orig_track");
$trackingURL=$hesk_settings['hesk_url'].'/ticket.php?track='.$trackingID.'&Refresh='.rand(10000,99999);
$admin_trackingURL=$hesk_settings['hesk_url'].'/admin_ticket.php?track='.$trackingID.'&Refresh='.rand(10000,99999);

/* Add to database */
require_once('inc/database.inc.php');
hesk_dbConnect() or hesk_error("$hesklang[cant_connect_db] $hesklang[contact_webmsater] $hesk_settings[webmaster_mail]!");

/* Add reply */
$sql = "
INSERT INTO `hesk_replies` (
`id`,`replyto`,`name`,`message`,`dt`
)
VALUES (
'','$replyto','$_SESSION[name]','$message',NOW()
)
";

$result = hesk_dbQuery($sql) or hesk_error("$hesklang[cant_sql]: $sql</p><p>$hesklang[mysql_said]:<br>".mysql_error()."</p><p>$hesklang[contact_webmsater] $hesk_settings[webmaster_mail]");

/* Change the status of priority? */
if (!empty($_POST['set_priority']))
{
    $priority=hesk_input($_POST['priority'],$hesklang['select_priority']);
    $priority_sql = ",`priority`=$priority";
}
else
{
	$priority_sql = "";
}

/* Close the ticket? If not make sure it is open */
if (!empty($_POST['close']))
{
	$sql = "UPDATE `hesk_tickets` SET `status`=0 $priority_sql WHERE `id`=$replyto LIMIT 1";
	$result = hesk_dbQuery($sql) or hesk_error("$hesklang[cant_sql]: $sql</p><p>$hesklang[mysql_said]:<br>".mysql_error()."</p><p>$hesklang[contact_webmsater] $hesk_settings[webmaster_mail]");
}
else
{
	$sql = "UPDATE `hesk_tickets` SET `status`=1 $priority_sql WHERE `id`=$replyto LIMIT 1";
	$result = hesk_dbQuery($sql) or hesk_error("$hesklang[cant_sql]: $sql</p><p>$hesklang[mysql_said]:<br>".mysql_error()."</p><p>$hesklang[contact_webmsater] $hesk_settings[webmaster_mail]");
}

/*** Send "New reply added" e-mail ***/
/* Get e-mail message */
$fp=fopen('emails/new_reply_by_staff.txt','r');
$message=fread($fp,filesize('emails/new_reply_by_staff.txt'));
fclose($fp);

$message=str_replace('%%NAME%%',$orig_name,$message);
$message=str_replace('%%SUBJECT%%',$orig_subject,$message);
$message=str_replace('%%TRACK_ID%%',$trackingID,$message);
$message=str_replace('%%TRACK_URL%%',$trackingURL,$message);
$message=str_replace('%%SITE_TITLE%%',$hesk_settings['site_title'] ,$message);
$message=str_replace('%%SITE_URL%%',$hesk_settings['site_url'] ,$message);

/* Send the e-mail */
$headers="From: $hesk_settings[noreply_mail]\n";
$headers.="Reply-to: $hesk_settings[noreply_mail]\n";
@mail($orig_email,$hesklang['new_reply_staff'],$message,$headers);

/* Print admin navigation */
require_once('inc/show_admin_nav.inc.php');

?>

</td>
</tr>
<tr>
<td>

<p>&nbsp;</p>
<h3 align="center"><?php echo $hesklang['reply_added']; ?></h3>
<p>&nbsp;</p>
<p align="center"><?php
echo $hesklang['reply_submitted'].'. ';
if (!empty($_POST['close']))
{
	echo $hesklang['ticket_marked']." <font class=\"open\">$hesklang[close]</font>.";
}
?></p>
<p align="center"><a href="<?php echo $admin_trackingURL; ?>"><?php echo $hesklang['view_ticket']; ?></a> |
<a href="admin_main.php"><?php echo $hesklang['main_page']; ?></a></p>
<p>&nbsp;</p>
<p>&nbsp;</p>
<p>&nbsp;</p>
<p>&nbsp;</p>

<hr width="750">
<p>&nbsp;</p>

<?php
require_once('inc/footer.inc.php');
exit();

?>